Bug 187731 - Tux panics when using symlinks
Tux panics when using symlinks
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: tux (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ingo Molnar
Brian Brock
:
Depends On:
Blocks: 176344
  Show dependency treegraph
 
Reported: 2006-04-03 06:54 EDT by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0304
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-07 21:05:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
tux symlink crash fixes (2.82 KB, patch)
2006-09-07 08:23 EDT, Ingo Molnar
no flags Details | Diff

  None (edit)
Description Bastien Nocera 2006-04-03 06:54:49 EDT
tux-3.2.18-2
kernel-2.6.9-34.EL

1. Install tux on a default install
2. cd /var/www/html
3. touch foo
4. ln -s foo foo2
5. wget http://localhost/foo2
6. See panic:
TUX: logger thread started.
TUX: thread 1 listens on http://213.74.5.102:80.
------------[ cut here ]------------
kernel BUG at fs/namei.c:485!
invalid operand: 0000 [#1]
SMP
Modules linked in: tux zlib_deflate netconsole netdump iptable_filter ip_tables
md5 ipv6 autofs4 i2c_dev i2c_core sunrpc dm_mirror dm_mod button battery ac
ohci_hcd cpqphp tg3 floppy ext3 jbd cciss sd_mod scsi_mod
CPU:    1
EIP:    0060:[<c0166031>]    Not tainted VLI
EFLAGS: 00010296   (2.6.9-34.ELsmp)
EIP is at __link_path_walk+0x3ba/0xbb5
eax: f607abb0   ebx: d92db000   ecx: 00000000   edx: d92dbdc8
esi: ffffffd8   edi: eb825934   ebp: d92dbe5c   esp: d92dbda8
ds: 007b   es: 007b   ss: 0068
Process tux (pid: 22827, threadinfo=d92db000 task=f607abb0)
Stack: d92dbe50 c027b73d 00000000 eb825934 00000001 00000040 c56fb0b7 f7f4af80
       eb825934 c4553a53 00000006 c56fb0b0 d92dbe5c d92dbe5c c56fb0b0 c56fb0b0
       c56faf00 c016686f f6680e8c f7f4af80 00000082 c03bbe80 c011d1a3 00000041
Call Trace:
 [<c027b73d>] memcpy_toiovec+0x5f/0x88
 [<c016686f>] link_path_walk+0x43/0xbe
 [<c011d1a3>] try_to_wake_up+0x281/0x28c
 [<f8bf822e>] __tux_lookup+0xc/0x1d [tux]
 [<f8bf8338>] tux_lookup+0xcf/0xd5 [tux]
 [<c011d1a3>] try_to_wake_up+0x281/0x28c
 [<f8bfc6f9>] lookup_url+0x49/0x4f6 [tux]
 [<f8bfdaed>] http_lookup_vhost+0xeb/0xf0 [tux]
 [<c0129ce8>] del_timer+0x5d/0x65
 [<f8bfdb31>] http_process_message+0x3f/0x25f [tux]
 [<f8bf802e>] tux_schedule_atom+0x2a/0x42 [tux]
 [<f8bf8cf5>] process_requests+0x93/0xa8 [tux]
 [<f8c02751>] event_loop+0x75/0x178 [tux]
 [<f8c041ee>] __sys_tux+0x366/0x88f [tux]
 [<c0165914>] path_release+0xa/0x2d
 [<c01594b0>] sys_chdir+0x57/0x5f
 [<c012e708>] sys_setuid+0xfc/0x108
 [<c02d2657>] syscall_call+0x7/0xb
Code: be d8 ff ff ff 89 7c 24 0c 8b 03 83 b8 38 02 00 00 07 0f 8f 39 02 00 00 83
b8 3c 02 00 00 27 0f 8f 2c 02 00 00 83 7d 1c 07 76 08 <0f> 0b e5 01 f9 72 2e c0
31 c9 ba f2 03 00 00 b8 16 40 2e c0 e8
Comment 1 RHEL Product and Program Management 2006-08-18 12:19:30 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 2 Ingo Molnar 2006-09-07 08:23:47 EDT
Created attachment 135740 [details]
tux symlink crash fixes

This patch should fix the crash.
Comment 4 Jason Baron 2006-09-07 23:48:21 EDT
committed in stream U5 build 42.8. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/
Comment 6 Mike Gahagan 2007-04-11 11:17:47 EDT
Fix is in the -54 kernel.
Comment 8 Red Hat Bugzilla 2007-05-07 21:05:23 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0304.html

Note You need to log in before you can comment on or make changes to this bug.